# Uses of Interface
javax.lang.model.element.RecordComponentElement

Packages that use RecordComponentElement
Package
Description
javax.lang.model.element
Interfaces used to model elements of the Java programming language.
javax.lang.model.util
Utilities to assist in the processing of program elements and types.

## Uses of RecordComponentElement in javax.lang.model.element

Methods in javax.lang.model.element that return types with arguments of type RecordComponentElement
Modifier and Type
Method
Description
`default List<? extends RecordComponentElement>`
TypeElement.`getRecordComponents()`
Returns the record components of this class or interface element in declaration order.
Methods in javax.lang.model.element with parameters of type RecordComponentElement
Modifier and Type
Method
Description
`default R`
ElementVisitor.`visitRecordComponent(RecordComponentElement e, P p)`
Visits a record component element.

## Uses of RecordComponentElement in javax.lang.model.util

Methods in javax.lang.model.util that return RecordComponentElement
Modifier and Type
Method
Description
`default RecordComponentElement`
Elements.`recordComponentFor(ExecutableElement accessor)`
Returns the record component for the given accessor.
Methods in javax.lang.model.util that return types with arguments of type RecordComponentElement
Modifier and Type
Method
Description
`static List<RecordComponentElement>`
ElementFilter.`recordComponentsIn(Iterable<? extends Element> elements)`
Returns a list of record components in `elements`.
`static Set<RecordComponentElement>`
ElementFilter.`recordComponentsIn(Set<? extends Element> elements)`
Returns a set of record components in `elements`.
Methods in javax.lang.model.util with parameters of type RecordComponentElement
Modifier and Type
Method
Description
`abstract R`
AbstractElementVisitor14.`visitRecordComponent(RecordComponentElement e, P p)`
Visits a record component element.
`R`
AbstractElementVisitor6.`visitRecordComponent(RecordComponentElement e, P p)`
Visits a record component element.
`R`
ElementKindVisitor14.`visitRecordComponent(RecordComponentElement e, P p)`
Visits a record component element.
`R`
ElementScanner14.`visitRecordComponent(RecordComponentElement e, P p)`
Visits a record component element.
`R`
ElementScanner6.`visitRecordComponent(RecordComponentElement e, P p)`
Visits a record component element.
`R`
SimpleElementVisitor14.`visitRecordComponent(RecordComponentElement e, P p)`
Visits a record component element.